Name:           xcb-proto
Version:        1.17.0
Release:        %mkrel 1
Summary:        XCB protocol descriptions
Group:          Development/X11
License:        X11-distribute-modifications-variant
URL:            https://xcb.freedesktop.org/
Source0:        https://xorg.freedesktop.org/archive/individual/proto/%{name}-%{version}.tar.xz
BuildArch:      noarch

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libxml2-utils
BuildRequires:  pkgconfig(python3)

Provides:       %{name}-devel = %{version}-%{release}

%description
XCB is a project to enable efficient language bindings to
the X11 protocol.
This package contains the protocol descriptions themselves.
Language bindings use these protocol descriptions to generate
code for marshalling the protocol.


%prep
%autosetup -p1


%build
autoreconf -fiv
# Bit of a hack to get the pc file in /usr/share, so we can be noarch.
%configure2_5x --libdir=%{_datadir}
%make_build


%install
%make_install


%files
%{_datadir}/pkgconfig/xcb-proto.pc
%dir %{_datadir}/xcb/
%{_datadir}/xcb/*.xsd
%{_datadir}/xcb/*.xml
# xcbgen stuff
%{python3_sitelib}/xcbgen


%changelog
* Wed Apr 17 2024 tex - 1.17.0-1pclos2024
- new version: 1.17.0
